# coding: utf-8
from os.path import dirname

from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import setup, find_packages


def _get_requirements(file_name):
    pip_session = PipSession()
    requirements = parse_requirements(file_name, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


setup(
    name='m3-sinops',
    package_dir={'': 'src'},
    packages=find_packages('src'),
    include_package_data=True,
    author='BARS Group',
    url='https://bitbucket.org/hfarhad/m3-sinops',
    description=u'User interface for Sinops package',
    install_requires=_get_requirements('requirements.txt'),
    classifiers=[
         'Intended Audience :: Developers',
         'Natural Language :: Russian',
         'Natural Language :: English',
         'Operating System :: OS Independent',
         'Programming Language :: Python',
         'Development Status :: 4 - Beta',
    ],
    dependency_links=(
        'http://pypi.bars-open.ru/simple/m3-builder',
    ),
    setup_requires=(
        'm3-builder>=1.0.1',
    ),
    set_build_info=dirname(__file__),
)
